Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Fastest way to create DXF of sheetmetal for lasercutter?

36 REPLIES 36
Reply
Message 1 of 37
hotreneke
2306 Views, 36 Replies

Fastest way to create DXF of sheetmetal for lasercutter?

What is the fastest way to create a DXF for our lasermachine?

My current method:
- make a sheet metal part
- create the flat pattern
- make a drawing of the flat pattern
- save the drawing as dxf
- open the dxf in Acad and remove unnecessary layers (bend lines, dimensions)
- save the dxf

Is there a faster way?
36 REPLIES 36
Message 21 of 37
Jacky-Li
in reply to: hotreneke

hi,
we will try our best to get rid of this issue. But as you know there are many things we should think about. Edited by: Jacky-li on Dec 15, 2009 1:55 AM
Message 22 of 37

hi there, anything new concerning this issue ? this is VERY CRITICAL for us to get it right
Message 23 of 37
luciacasu
in reply to: hotreneke

Hi,
the team will work at this problem as soon as possible;
it does not appear to be related to the flat pattern creation.

Which CAM software are you using?

Thanks,
Lucia Casu
Inventor Development


Lucia Casu

Fusion360 Development

Message 24 of 37
petercharles
in reply to: hotreneke

What is the problem. Is it ---
1) that the bend line projects beyond the contour, or
2) that the bend line doesn't finish at the contour.
I ask as we had a problem with some laser cutting software when the bend line (which was to be etched) finished on the contour line that was to be cut. We solved our problem by writing some VBA code to modify the IV produced DXF file (DXF files are only text files after all) and shorten back the bend lines by a few mm so that the bend line finished before it reached the contour line. Could you cope with bend lines that stopped a few mm short of the contour?
Message 25 of 37

the save copy of flatpattern is the fastest I've found, but to really speed it up you need to create a custom xml file to set your layers and delete the unwanted information. I've edited one to work with Sigmanest and Tops so it does an outer contour and maintains bend center lines, the outer contour is on one layer and the bend lines on another.
save the xml file in the default location, then all you have to do is check the box to use xml
it's saved in your default design data folder under the dwg-dxf folder. the check box will tell you where.
with this file I only have trouble with every hundredth file in the places where mis-formed transitions or cuts across bends have really screwed up the contour. you can edit it to whatever you want though. it's pretty easy to understand from looking at the file Edited by: Monkeyengineered on Dec 29, 2009 7:27 PM
Message 26 of 37

We are using autodesk inventor 2010, and we are trying to export the dxf file to Vbend, which is used for the simulation of press brakes using DELEM controllers.

If anyone knows of a better system to do this, feel free to share.
Message 27 of 37

hi there, tried the below method, didn't work for us. anything new with regards to this issue? it's really costing us a lot of money to remodel every single part, and upper management is pretty angry by now....
Message 28 of 37
Jacky-Li
in reply to: hotreneke

hi, it seems the problem is related with the graphics. and the corresponding Dev is working on it.
Message 29 of 37
oddjobmonkey
in reply to: hotreneke

Hi there --- I've been following this thread ... unfortunately I just get an error if I try and 'export/ save a copy as' of the flat pattern

 

Screen Shot 2017-08-25 at 10.15.50 AM.png 

Message 30 of 37
johnsonshiue
in reply to: oddjobmonkey

Hi! This is Inventor Professional forum. I am able to export flat pattern to DXF or DWG or SAT from Inventor Professional. Do you have access to Inventor? Based on the image you captured, it looks like you are using F360 on Mac. You may want to go to the following forum.

 

https://forums.autodesk.com/t5/fusion-360-design-validate/bd-p/124

 

Many thanks!

 



Johnson Shiue (johnson.shiue@autodesk.com)
Software Test Engineer
Message 31 of 37
S_May
in reply to: micheltehini8035

dxf from ipt...

 

 

Public Sub ExportDxf()

    Dim oDoc As PartDocument

    oDoc = ThisApplication.ActiveDocument

 

    Dim oCompDef As SheetMetalComponentDefinition

    oCompDef = oDoc.ComponentDefinition

 

    If oCompDef.HasFlatPattern = False Then

        oCompDef.Unfold

    Else

        oCompDef.FlatPattern.Edit

    End If

 

    Dim sOut As String

      If ExportInner = True Then

          sOut = "FLAT PATTERN DXF?AcadVersion=2004&OuterProfileLayer=IV_INTERIOR_PROFILES"

      Else

      sOut = "FLAT PATTERN DXF?AcadVersion=2004&OuterProfileLayer=IV_OUTER_PROFILE"

      End If

 

    ' Get document's full file name

    Dim sFname As String

    sFname = oDoc.FullFileName

 

    ' The file format will depend on the extension

    ' Set file name extension to ".DXF"

    sFname = Left$(sFname, Len(sFname) - 3) & "dxf"

 

    oCompDef.DataIO.WriteDataToFile( sOut, sFname)

 

End Sub
Message 32 of 37
S_May
in reply to: S_May

dxf from iam...

 

'define the active document as an assembly file
Dim oAsmDoc As AssemblyDocument
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = Left(oAsmDoc.DisplayName, Len(oAsmDoc.DisplayName) -4)
'check that the active document is an assembly file
If ThisApplication.ActiveDocument.DocumentType <> kAssemblyDocumentObject Then
MessageBox.Show("Please run this rule from the assembly file.", "iLogic")
Exit Sub
End If
'get user input
RUsure = MessageBox.Show ( _
"This will create a DXF file for all of the asembly components that are sheet metal." _
& vbLf & "This rule expects that the part file is saved." _
& vbLf & " " _
& vbLf & "Are you sure you want to create DXF for all of the assembly components?" _
& vbLf & "This could take a while.", "iLogic - Batch Output DXFs ",MessageBoxButtons.YesNo)
If RUsure = vbNo Then
Return
Else
End If
oPath = ThisDoc.Path
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
'get DXF target folder path
oFolder = oPath & "\" & oAsmName & " DXF Files"
'Check for the DXF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
System.IO.Directory.CreateDirectory(oFolder)
End If
'- - - - - - - - - - - - -
'- - - - - - - - - - - - -Component - - - - - - - - - - - -
'look at the files referenced by the assembly
Dim oRefDocs As DocumentsEnumerator
oRefDocs = oAsmDoc.AllReferencedDocuments
Dim oRefDoc As Document
'work the the drawing files for the referenced models
'this expects that the model has been saved
For Each oRefDoc In oRefDocs
iptPathName = Left(oRefDoc.FullDocumentName, Len(oRefDoc.FullDocumentName) - 3) & "ipt"
'check that model is saved
If(System.IO.File.Exists(iptPathName)) Then
Dim oDrawDoc As PartDocument
oDrawDoc = ThisApplication.Documents.Open(iptPathName, True)
oFileName = Left(oRefDoc.DisplayName, Len(oRefDoc.DisplayName))
Try
'Set the DXF target file name

Try
CustomName =iProperties.Value(oFileName, "Custom", "PF_PRT_ZNR")
Catch
CustomName ="XXX" 'Wert, wenn iPropertie PF_PRT_ZNR nicht existiert
End Try

oDataMedium.FileName = oFolder & "\" & CustomName  & " " & oFileName & ".dxf"

Dim oCompDef As SheetMetalComponentDefinition
oCompDef = oDrawDoc.ComponentDefinition
If oCompDef.HasFlatPattern = False Then
oCompDef.Unfold
Else
oCompDef.FlatPattern.Edit
End If
Dim sOut As String
sOut = "FLAT PATTERN DXF?AcadVersion=2004&OuterProfileLayer=IV_OUTER_PR​OFILE"
oCompDef.DataIO.WriteDataToFile( sOut, oDataMedium.FileName)
'just for check its works coretcly
'i=MessageBox.Show(oDataMedium.FileName, "Title",MessageBoxButtons.OKCancel)
'MessageBox.Show(i,"title",MessageBoxButtons.OK)
'If i=2 Then
'Exit Sub
'End If
oCompDef.FlatPattern.ExitEdit
Catch
End Try
oDrawDoc.Close
Else
End If
Next
Message 33 of 37
S_May
in reply to: hotreneke

@hotreneke,

 

If you are a tin manufacturer with laser and water jet, please look around here..ilogic-ubungsmodelle

 

and ifeature and screencasts... Smiley Happy

Message 34 of 37
S_May
in reply to: S_May

Hi @hotreneke,

 

Can you tell us your solution?
So that all readers have something! Smiley Happy

Message 35 of 37
Rob67ert
in reply to: S_May

The first question was from 2009...I hope he already has a solution.
Robert

If you find this reply helpful ? It would be nice if you use the Accept as Solution or Kudos button below.
Message 36 of 37
antonio.fiorino
in reply to: S_May

First of all, I would like to commend you for the amazing solution, then I  ask you if It is possible to customize the dxf file, for example, by removing some layers.

Would it be possible to include the *.ini dxf configuration file in the program?

 

Thanks in advance

 

Best regards

 

A.F.

Message 37 of 37
S_May
in reply to: antonio.fiorino

Hi @antonio.fiorino,

 

of course you can customize the dxf, but please in new post (please mark solution) for all to help

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report